#ifndef _TRDOS_INCLUDED_
#define _TRDOS_INCLUDED_

#include "..//..//z80ex-0.15\include\z80ex.h"
#include "../device.h"

class C_TrDos : public C_Device
{
	public:

	static bool trdos;
	static BYTE rom[0x4000];
	static bool wd_flag;

	static void ReadFile(void);
	void Init(void);
	void Close(void);

	static bool OnReadByte(Z80EX_WORD addr, bool m1, Z80EX_BYTE &retval);
	static bool OnInputByte(Z80EX_WORD port, Z80EX_BYTE &retval);
	static bool OnOutputByte(Z80EX_WORD port, Z80EX_BYTE value);
	static void OnReset(void);
};

#endif
