
/*#include <sys/ioctl.h>
#include <sys/stat.h>
#include <fcntl.h>*/
//#include <unistd.h>
//#include <sys/soundcard.h>
#include <math.h>
#include "wavplay.h"
#include <windows.h>
int audio;
HWAVEOUT wo;
SNDCOUNTER sndCounter; 
HANDLE hfile;
unsigned soundPtr; 
unsigned frameSamples;

// AUDIO_HW_BUFFER must be more than MAX_AY_SOUND_BUFFER_SIZE (usually 2000)
#define AUDIO_HW_BUFFER /*4096*/2048
#define AUDIO_BUFFER_SIZE (AUDIO_HW_BUFFER*2)
#define SOUND_BUFFER_SIZE (AUDIO_BUFFER_SIZE*2) 

//
void wav_start(unsigned frag_size)
{
/*	int tmp;

	audio = open("/dev/dsp", O_WRONLY, 0);
	if (audio == -1) StrikeError("Unable to open /dev/dsp for writing.\n");

	tmp = /*0x80000*///0x80000 | (int) (log(frag_size) + 0.5); /*max 8 fragments*/
	
/*	if (ioctl(audio, SNDCTL_DSP_SETFRAGMENT, &tmp) == -1) {close(audio); StrikeError("Unable to set audio fragment size\n");}

	tmp = AFMT_S16_LE;
	if (ioctl(audio,SNDCTL_DSP_SETFMT,&tmp) == -1) {close(audio); StrikeError("setting SNDCTL_DSP_SETFMT on audiodev failed\n");}

	tmp = 16;
	ioctl(audio, SNDCTL_DSP_SAMPLESIZE, &tmp);
	if (tmp != 16) StrikeError("Unable set samplesize = %d.\n", tmp);

	tmp = 1;
	if (ioctl(audio, SNDCTL_DSP_STEREO, &tmp) == -1) {close(audio); StrikeError("Unable to set stereo.\n");}

	tmp = SND_FQ;
	if (ioctl (audio, SNDCTL_DSP_SPEED, &tmp) == -1) {close(audio); StrikeError("Unable to set audio speed = %d.\n",SND_FQ);}*/
	WAVEFORMATEX wfx;
	wfx.cbSize = 0;
	wfx.nAvgBytesPerSec = 44100;
	wfx.nBlockAlign = 11025;
	wfx.nChannels = 2;
	wfx.nSamplesPerSec = 44100;
	wfx.wBitsPerSample = 16;
	wfx.wFormatTag = WAVE_FORMAT_PCM;
	MMRESULT mm = waveOutOpen(&wo, WAVE_MAPPER, &wfx, 0, 0, WAVE_FORMAT_DIRECT);
	hfile = CreateFile(L"c:\\out.bin", GENERIC_WRITE, 0, 0, CREATE_ALWAYS, 0,0);
}

//play nsamples from ring buffer buf (all sizes are in samples) and clear written data
void wav_play(SNDSAMPLE *buf, unsigned from_sample, unsigned nsamples, unsigned buff_size)
{
	unsigned spbsize,wrsize,restsize=0;

	if((from_sample + nsamples) <= buff_size)
		wrsize = nsamples;
	else
	{
		wrsize = buff_size - from_sample;
		restsize = from_sample + nsamples - buff_size;
	}
	
	spbsize=wrsize*sizeof(SNDSAMPLE);
/*	if(write(audio, &buf[from_sample], spbsize) != spbsize) printf("Write to soundcard device failed\n");
	memset(&buf[from_sample],0,spbsize);
	
	if(restsize)
	{		
		spbsize=restsize*sizeof(SNDSAMPLE);
		if(write(audio, buf, spbsize) != spbsize) printf("Write to soundcard device failed\n");
		memset(buf,0,spbsize);
	}*/
/*	WAVEHDR whdr;
	waveOutPrepareHeader(wo, &whdr, sizeof(whdr));
	whdr.dwBufferLength = spbsize;
	whdr.dwLoops = 0;
	whdr.lpData = (char*)&buf[from_sample];
	//soundBuffer, soundPtr, frameSamples, SOUND_BUFFER_SIZE
	MMRESULT mm = waveOutWrite(wo, &whdr, sizeof(whdr));*/
	DWORD br;
	WriteFile(hfile, &buf[from_sample], spbsize, &br, 0);
}

//
void wav_stop()
{
	CloseHandle(hfile);
	CloseHandle(wo);
}
